aboutsummaryrefslogtreecommitdiff
path: root/sci/electronics/iverilog/iverilog.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'sci/electronics/iverilog/iverilog.SlackBuild')
-rwxr-xr-xsci/electronics/iverilog/iverilog.SlackBuild30
1 files changed, 18 insertions, 12 deletions
diff --git a/sci/electronics/iverilog/iverilog.SlackBuild b/sci/electronics/iverilog/iverilog.SlackBuild
index 8dba36b3..b2c49fa5 100755
--- a/sci/electronics/iverilog/iverilog.SlackBuild
+++ b/sci/electronics/iverilog/iverilog.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# iverilog.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# iverilog.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# iverilog.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# iverilog.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for iverilog (Icarus Verilog)
# http://www.icarus.com/eda/verilog/
@@ -30,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="verilog"
PKG_NAME="iverilog"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.8.3}
+SRC_VERSION=${VERSION:=0.8.4}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -89,13 +92,16 @@ cd "$PKG_SRC"
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- ./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
# Install
-make install prefix="$PKG/$PREFIX" || exit $ERROR_INSTALL
+make install \
+ prefix="$PKG/$PREFIX" libdir="$PKG/$LIBDIR" \
+ libdir64="$PKG/$LIBDIR" vpidir="$PKG/$LIBDIR" || exit $ERROR_INSTALL
# Strip binaries
( cd "$PKG"